import React from 'react';
import Page from '@/layouts/index';
import { Cell, CellGroup } from '@antmjs/vantui'
import { View } from '@tarojs/components';
// import * as echarts from "echarts"
import * as echarts from '@/assets/ec-canvas/echarts';
import './index.less';

export default (props) => {

  function initChart (canvas, width, height, dpr) {

    console.log('---------->', canvas, width, height)

    const chart = echarts.init(canvas, null, {
      width: width,
      height: height,
      devicePixelRatio: dpr // new
    });
    canvas.setChart(chart);

    var option = {
      title: {
        text: '上报统计'
      },
      grid: {
        containLabel: true
      },
      tooltip: {
        show: true,
        trigger: 'axis'
      },
      xAxis: {
        type: 'category',
        boundaryGap: false,
        data: ['12/01', '12/02', '12/03', '12/04', '12/05', '12/06', '12/07'],
        // show: false
      },
      yAxis: {
        x: 'center',
        type: 'value',
        // show: false
      },
      series: [
        {
          name: 'Line 1',
          type: 'line',
          stack: 'Total',
          smooth: true,
          lineStyle: {
            width: 0
          },
          showSymbol: false,
          areaStyle: {
            opacity: 0.8,
            color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
              {
                offset: 0,
                color: 'rgb(128, 255, 165)'
              },
              {
                offset: 1,
                color: 'rgb(1, 191, 236)'
              }
            ])
          },
          emphasis: {
            focus: 'series'
          },
          data: [180, 332, 191, 294, 210, 151, 230]
        }
      ]
    };

    chart.setOption(option);
    return chart;
  }

  const ec = {
    onInit: initChart
  };

  return (
    <Page>
      <View>
        <CellGroup>
          <Cell title="时间维度" isLink value="本周" />
        </CellGroup>
      </View>
      <view class="container" style={{ height: '500px' }}>
        <ec-canvas canvasId="mychart-bar" ec={ec}></ec-canvas>
      </view>
    </Page>
  )
}